Package Gnumed :: Package timelinelib :: Package editors :: Module event :: Class EventEditor |
[frames] | no frames]

# Class EventEditor

source code

    object --+
             |
            EventEditor

Instance Methods
__init__(self, view) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
edit(self, time_type, event_repository, timeline, start, end, event) | source code
create_or_update_event(self) | source code
clear(self) | source code
start_is_in_history(self) | source code
get_start_from_view(self) | source code
get_end_from_view(self) | source code
is_new_container(self, container) | source code
add_new_container(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, view) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)